package com.zd.system.api.domain;

import com.zd.common.core.annotation.Excel;
import com.zd.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * logo配置对象 sys_logo_config
 *
 * @author zd
 * @date 2022-05-06
 */
@ApiModel("logo配置")
public class SysLogoConfigVO extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    @ApiModelProperty(value = "${comment}")
    private Long id;
    /** 学校名称 */
    @Excel(name = "学校名称")
    @ApiModelProperty(value = "学校名称")
    private String schoolName;
    /** 圆形logo */
    @Excel(name = "圆形logo")
    @ApiModelProperty(value = "圆形logo")
    private String circularLogo;
    /** 长方形logo */
    @Excel(name = "长方形logo")
    @ApiModelProperty(value = "长方形logo")
    private String rectangleLogo;
    /** 签到签出示意图 */
    @Excel(name = "签到签出示意图")
    @ApiModelProperty(value = "签到签出示意图")
    private String signMap;
    /** 视屏封面 */
    @Excel(name = "视屏封面")
    @ApiModelProperty(value = "视屏封面")
    private String videoCover;
    /** 操作指南 */
    @Excel(name = "操作指南")
    @ApiModelProperty(value = "操作指南")
    private String operationGuide;
    /** 登录页banner */
    @Excel(name = "登录页banner")
    @ApiModelProperty(value = "登录页banner")
    private String loginBanner;
    /** 首页banner */
    @Excel(name = "首页banner")
    @ApiModelProperty(value = "首页banner")
    private String homepageBanner;
    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setSchoolName(String schoolName)
    {
        this.schoolName = schoolName;
    }

    public String getSchoolName()
    {
        return schoolName;
    }
    public void setCircularLogo(String circularLogo)
    {
        this.circularLogo = circularLogo;
    }

    public String getCircularLogo()
    {
        return circularLogo;
    }
    public void setRectangleLogo(String rectangleLogo)
    {
        this.rectangleLogo = rectangleLogo;
    }

    public String getRectangleLogo()
    {
        return rectangleLogo;
    }
    public void setSignMap(String signMap)
    {
        this.signMap = signMap;
    }

    public String getSignMap()
    {
        return signMap;
    }
    public void setVideoCover(String videoCover)
    {
        this.videoCover = videoCover;
    }

    public String getVideoCover()
    {
        return videoCover;
    }
    public void setOperationGuide(String operationGuide)
    {
        this.operationGuide = operationGuide;
    }

    public String getOperationGuide()
    {
        return operationGuide;
    }
    public void setLoginBanner(String loginBanner)
    {
        this.loginBanner = loginBanner;
    }

    public String getLoginBanner()
    {
        return loginBanner;
    }
    public void setHomepageBanner(String homepageBanner)
    {
        this.homepageBanner = homepageBanner;
    }

    public String getHomepageBanner()
    {
        return homepageBanner;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("schoolName", getSchoolName())
            .append("circularLogo", getCircularLogo())
            .append("rectangleLogo", getRectangleLogo())
            .append("signMap", getSignMap())
            .append("videoCover", getVideoCover())
            .append("operationGuide", getOperationGuide())
            .append("loginBanner", getLoginBanner())
            .append("homepageBanner", getHomepageBanner())
            .toString();
    }
}
